;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro LED_GRUEN_ON
	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)
.endm
.macro LED_GRUEN_OFF
	sbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)
.endm
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro LED_GELB_ON
	cbi (LED_GELB_PORT),(LED_GELB_PIN_NR)
.endm
.macro LED_GELB_OFF
	sbi (LED_GELB_PORT),(LED_GELB_PIN_NR)
.endm
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro LED_ROT_ON
	cbi (LED_ROT_PORT),(LED_ROT_PIN_NR)
.endm
.macro LED_ROT_OFF
	sbi (LED_ROT_PORT),(LED_ROT_PIN_NR)
.endm
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro CS_HIGH
	sbi(OLED_CS_PORT),(OLED_CS_PIN_NR)
.endm 
.macro CS_LOW
	cbi  (OLED_CS_PORT),(OLED_CS_PIN_NR)
;	call WAIT_1us							; ev. kleine PAUSE	
.endm
;-------------------------------------------------------------------------------
.macro DC_HIGH
	sbi(OLED_DC_PORT),(OLED_DC_PIN_NR)
.endm 
.macro DC_LOW
	cbi(OLED_DC_PORT),(OLED_DC_PIN_NR)
.endm 
;-------------------------------------------------------------------------------
.macro RES_HIGH
	sbi(OLED_RES_PORT),(OLED_RES_PIN_NR)
.endm 
.macro RES_LOW
	cbi(OLED_RES_PORT),(OLED_RES_PIN_NR)
.endm 
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro FONT_0
	STS(adr_FONT),NULL
.endm
;-------------------------------------------------------------------------------
.macro FONT_1
	STS(adr_FONT),EINS
.endm
;-------------------------------------------------------------------------------
.macro FONT_2
	ldi temp,2
	STS(adr_FONT),temp
.endm
;-------------------------------------------------------------------------------
.macro FONT_3
	STS(adr_FONT),VOLL
.endm
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro ZEILE_0
	STS(adr_ASCII_X),NULL
	ldi temp,(8*15)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_1
	STS(adr_ASCII_X),NULL
	ldi temp,(8*14)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_2
	STS(adr_ASCII_X),NULL
	ldi temp,(8*13)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_3
	STS(adr_ASCII_X),NULL
	ldi temp,(8*12)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_4
	STS(adr_ASCII_X),NULL
	ldi temp,(8*11)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_5
	STS(adr_ASCII_X),NULL
	ldi temp,(8*10)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_6
	STS(adr_ASCII_X),NULL
	ldi temp,(8*9)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_7
	STS(adr_ASCII_X),NULL
	ldi temp,(8*8)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_8
	STS(adr_ASCII_X),NULL
	ldi temp,(8*7)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_9
	STS(adr_ASCII_X),NULL
	ldi temp,(8*6)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_10
	STS(adr_ASCII_X),NULL
	ldi temp,(8*5)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_11
	STS(adr_ASCII_X),NULL
	ldi temp,(8*4)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_12
	STS(adr_ASCII_X),NULL
	ldi temp,(8*3)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_13
	STS(adr_ASCII_X),NULL
	ldi temp,(8*2)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_14
	STS(adr_ASCII_X),NULL
	ldi temp,(8*1)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
.macro ZEILE_15
	STS(adr_ASCII_X),NULL
	ldi temp,(8*0)
	STS(adr_ASCII_Y),temp
.endm
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
.macro  FARBE_WEISS
	mov FARBE_L,VOLL
	mov FARBE_H,VOLL
.endm 
;-------------------------------------------------------------------------------
.macro  FARBE_SCHWARZ
	mov FARBE_L,NULL
	mov FARBE_H,NULL
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_ROT
	ldi temp,low(RED)
	mov FARBE_L,temp
	ldi temp,HIGH(RED)
	mov FARBE_H,temp
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_GRUEN
	ldi temp,low(GREEN)
	mov FARBE_L,temp
	ldi temp,HIGH(GREEN)
	mov FARBE_H,temp
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_BLAU
	ldi temp,low(BLUE)
	mov FARBE_L,temp
	ldi temp,HIGH(BLUE)
	mov FARBE_H,temp
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_GELB
	ldi temp,low(YELLOW)
	mov FARBE_L,temp
	ldi temp,HIGH(YELLOW)
	mov FARBE_H,temp
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_MAGENTA
	ldi temp,low(MAGENTA)
	mov FARBE_L,temp
	ldi temp,HIGH(MAGENTA)
	mov FARBE_H,temp
.endm 
;-------------------------------------------------------------------------------
.macro FARBE_CYAN
	ldi temp,low(CYAN)
	mov FARBE_L,temp
	ldi temp,HIGH(CYAN)
	mov FARBE_H,temp
.endm 








